textures/quakziplines/rockskie
{
	qer_editorImage skpk/qer/env/banana/space_19.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_lightmapFilterRadius 0 8
	q3map_sunExt 1 1 1 70 185 30 1 16
	q3map_sunExt 0 .7 1 20 325 35 2 16
	q3map_skylight 145 6
	nopicmip
	skyparms skpk/env/banana/space_19 - -
}

textures/quakziplines/rock
{
	qer_editorimage textures/editor/blend_rock.tga
	surfaceparm nodamage
	q3map_globalTexture
	q3map_nonplanar
	q3map_shadeAngle 179
	q3map_tcMod scale 0.33 0.33
	
	{
		map textures/foliages/terrain_rock.tga
		rgbGen identity
	}
	{
		map textures/foliages/terrain_grass.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/quakziplines/blue
{
	qer_trans 0.3
	qer_editorimage textures/quak_darkr/blue.tga
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm body
	surfaceparm ladder
	q3map_surfacelight 100
	q3map_lightsubdivide 256
	//cull disable
	{
		clampMap textures/quak_darkr/blue.tga
		blendFunc add
		rgbGen wave Sin .1 .025 0 .005
		alphaGen wave Sin .025 .015 0 .005
	}

}

textures/quakziplines/red
{
	qer_trans 0.3
	qer_editorimage textures/quak_darkr/red.tga
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	q3map_surfacelight 100
	q3map_lightsubdivide 256
	//cull disable
	{
		clampMap textures/quak_darkr/red.tga
		blendFunc add
		rgbGen wave Sin .1 .015 0 .005
		alphaGen wave Sin .025 .015 0 .005
	}

}


//----------------------------------------
// ----------- blending alphas -----------
//----------------------------------------
textures/quakziplines/alpha_000
{
	qer_editorimage textures/editor/alpha_000.tga
	q3map_alphaMod volume
	q3map_alphaMod set 0
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/quakziplines/alpha_035
{
	qer_editorimage textures/editor/alpha_025.tga
	q3map_alphaMod volume
	q3map_alphaMod set 0.35
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/quakziplines/alpha_050
{
	qer_editorimage textures/editor/alpha_050.tga
	q3map_alphaMod volume
	q3map_alphaMod set 0.50
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/quakziplines/alpha_080
{
	qer_editorimage textures/editor/alpha_075.tga
	q3map_alphaMod volume
	q3map_alphaMod set 0.80
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/quakziplines/alpha_100
{
	qer_editorimage textures/editor/alpha_100.tga
	q3map_alphaMod volume
	q3map_alphaMod set 1.0
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}
